.DEFINE PlayerInit      $1c00
.DEFINE PlayerOff       $1c03
.DEFINE PlayerFrame     $1c06

.DEFINE SeqData         $1a00   ; 32 steps x $04 bytes (fixed low byte $00)
.DEFINE BlockData       $1a80   ; 8 blocks x $10 bytes (fixed low byte $80)
.DEFINE SoundData       $1b00   ; 8 sounds x $10 bytes (fixed low byte $00)
.DEFINE SndSpeed        $1b80   ; 8 sounds x $01 byte
.DEFINE SndEnvTrig      $1b88   ; 8 sounds x $01 byte
.DEFINE EnvData         $1b80   ; 4 envs x $10 bytes (env 0 not used)
.DEFINE FreqData        $1bc0   ; note frequency table
.DEFINE Varis           $03ea   ; $16 bytes for player variables

.ENUM Varis
SequencerPos    DB      ; Sequencer position (n*$04) $ff=music ended
BlockStep       DB      ; Block step ($0-$f)
SpeedCount      DB      ; Block step time countdown
SongSpeed       DB      ; Change this to adjust song tempo
EnvCount        DB      ; Envelope step time countdown
EnvelopePos     DB      ; Envelope position, $00=no env in use

V1BlockTrans    DB      ; bits 7-4: block number, bits 3-0: transpose
V1Note          DB      ; Current note trigged from block data
V1Count         DB      ; Sound step time countdown
V1SoundPos      DB      ; Sound data position, $ff=voice off

V2BlockTrans    DB      ; same for the rest of voices
V2Note          DB
V2Count         DB
V2SoundPos      DB

V3BlockTrans    DB
V3Note          DB
V3Count         DB
V3SoundPos      DB

V4BlockTrans    DB
V4Note          DB
V4Count         DB
V4SoundPos      DB
.ENDE
